<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Practice</title>
    <script src="./index.js"></script>
    <script>
      function testFunction() {
        document.getElementById("test2").innerHTML =
          "content changed using function";
      }
    </script>
  </head>
  <body>
    <h3>JS Practice</h3>
    <p id="test">Document Object Model</p>
    <button
      type="button"
      onclick="document.getElementById('test').innerHTML= 'it can be used to dynamically access and update the content, structure & style of the document'"
    >
      Explanation
    </button>

    <button
      type="button"
      onclick="document.getElementById('test').style.fontSize='35px'"
    >
      Size change
    </button>
    <br />
    <p id="test1" style="display: none">Hidden content</p>
    <br />
    <button
      type="button"
      onclick="document.getElementById('test1').style.display='block'"
    >
      click to view hidden content
    </button>

    <p id="test2">content change-test2</p>
    <button type="button" onclick="testFunction()">test-2</button>

    <p id="test3">content will change using external file-test3</p>
    <button type="button" onclick="testFunction1()">test-3</button>
    <!-- delete all the existing files -->
    <button onclick="document.write('hello')">Erase All</button>
    <!-- to print whole page -->
    <button onclick="window.print()">print this page</button>

    <!-- let--can't use the variable before declaration -->
    <p id="test5"></p>
    <script>
      try {
        carname = "var";
        document.getElementById("test5").innerHTML = carname;
        let carname;
      } catch {
        document.getElementById("test5").innerHTML =
          "error-cnt use var bef dec";
      }
    </script>
    <!-- var-- can use the variable before declaration -->
    <p id="test6"></p>
    <script>
      try {
        carname = "volvo";
        document.getElementById("test6").innerHTML = carname;
        var carname;
      } catch {
        document.getElementById("test6").innerHTML = "error";
      }
    </script>
    <!-- function return -->
    <p id="test7"></p>
    <script>
      function myfun(p1, p2) {
        return p1 * p2;
      }
      document.getElementById("test7").innerHTML = myfun(5, 5);
    </script>
    <!-- display current time with button click -->
    <button onclick="this.innerHTML=Date()">Time NOW</button>

    <!-- == & ===  -->
    <p id="test8"></p>
    <script>
      let x = "john";
      let y = "john";
      document.getElementById("test8").innerHTML = x == y;
    </script>
    <p id="test9"></p>
    <script>
      let j = "john";
      let k = 10;
      document.getElementById("test9").innerHTML = j === k;
    </script>
    <!-- to find text length -->
    <p id="test10"></p>
    <script>
      let text = "abcdefghijklmnop";
      document.getElementById("test10").innerHTML = text.length;
    </script>
    <!-- slice -->
    <p id="test11"></p>
    <script>
      let text1 = "java, python, angular";
      let part = text1.slice(6, 12);
      document.getElementById("test11").innerHTML = part;
    </script>
    <!-- text replace  -->
    <p id="test12">java javascript python</p>
    <script>
      let text5 = document.getElementById("test12").innerHTML;
      document.getElementById("test12").innerHTML = text5.replace(
        "python",
        "angular"
      );
    </script>
    <!-- change text to uppercase -->
    <p id="test13">javascript</p>
    <script>
      let text6 = document.getElementById("test13").innerHTML;
      document.getElementById("test13").innerHTML = text6.toUpperCase();
    </script>
    <!-- to display table on console -->
    <script>
      console.table({ fname: "gokul", age: 25 });
    </script>
    <!-- ternary operator -->
    <script>
      const age = 22;
      const result = age >= 18 ? "Eligible" : "Not Eligible";
      console.log(result);
    </script>
    <script>
      function welcome(firstn) {
        const result1 = firstn ? firstn : "no name";
        console.log("welcome" +" "+ result1);
      }
      welcome('gokul');
    </script>
<!-- split -->
<script>
  let split3="java python angular nodejs javascript";
  let exam = split3.split(" ");
  console.log(exam.includes('react'));
  console.log(exam);
  console.table(exam);
</script>
<!-- padstart-->
<script>
  let df="5";
  df=df.padStart(4,0);
  console.log(df);
</script>
<!-- padend -->
<script>
  let rf="5";
  rf=rf.padEnd(4,'$');
  console.log(rf);
</script>
<!-- foreach -->
<script>
const ar=[11,23,54,67,55,44,32,67];
ar.forEach((value,index)=>{
  console.log("index: "+index+"  "+"value: "+value);
});
</script>
<!-- splice -->
<script>
  const tt=[1,2,3,4,5,6,7,8,9,10];
  // let ty=tt.splice(2);
  let tu=tt.splice(2,2);
  // console.log(ty);
  console.log(tu);
</script>
<!-- concat in array -->
<script>
  let c1=[1,2,3];
  let c2=[4,5,6];
  let c3=[7,8,9];
  let d1=c1.concat(c2,c3);
  console.log(d1);
</script>
<!-- push -->
<script>
const p2=[12,13,14,15];
console.log(p2);
console.log(p2.push(50));
console.log(p2);
</script>
<!-- pop -->
<script>
const p3=['java','python','angular','react'];
console.log(p3.pop());
console.log(p3)
</script>
<!-- shift -->
<script>
  const p4=['java','python','angular','react'];
  console.log(p4.shift());
  console.log(p4);
</script>
<!-- unshift -->
<script>
  const p5=['java','python','angular','react'];
  console.log(p5.unshift('javascript'));
  console.log(p5);
</script>
<!-- indexof -->
<script>
  const p6=['java','python','angular','react'];
  let p7=p6.indexOf('angular');
  console.log(p7);
</script>
<!-- every -->
<script>
  const nn=[12,22,34,50,6,8];
  let result8=nn.every((value)=>{
    return value%2==0;
  });
  console.log(result8);
</script>
<!-- clone array -->
<script>
  let originalarray=[12,34,456,233,21];
  let clonedarray=JSON.parse(JSON.stringify(originalarray));
  console.log(clonedarray);
</script>
<!-- destructuring.. -->
<script>
let nii=[12,34,4,6,6]
let [r,e,...b]=nii;
console.log(r);
console.log(e);
console.log(b);
</script>  
<!-- arrow function -->
<script>
  const arro=(ad,fd)=>{return ad+fd};
  console.log(arro(23,45));
</script>
<!-- spread operator -->
<script>
  let myarray=[1,2,3];
  let newarray=[...myarray,4,5,6,7,8];
  console.log(newarray);
</script>
<!-- set timeout -->
<script>
  setTimeout(function(){
    console.log("hello");
  },3000);  
</script>
<!-- set interval -->
<script>
  setInterval(function(){
    console.log("hi hello");
  },3000);
</script>
<!-- call-back function -->
<script>
  const callb=[1,2,3,4];
  callb.forEach(function(num0){
    console.log(num0);
  });
</script>
</body>
</html>
